@ECHO off
REM
REM    Licensed Materials - Property of IBM
REM
REM    "Restricted Materials of IBM"
REM
REM    5724-U38, 5724-U39, 5724-U48
REM
REM     Copyright IBM Corp. 2018 All Rights Reserved
REM
REM     Copyright 2018 UNICOM Systems, Inc. - All Rights Reserved
REM
REM    US Government Users Restricted Rights - Use, duplication or
REM    disclosure restricted by GSA ADP Schedule Contract with
REM    IBM Corp.
REM
REM Syntax:
REM CopyRTFiles source_dir target_dir
REM
REM Copies known Optim files from a source web directory to a
REM target web directory.

REM Don't overwrite newer files
SET _OPTS=/D /k /c /y
IF "%1." == "." (
   ECHO A source web directory is required.
   exit /b 1
)
IF "%2." == "." (
   ECHO A target web directory is required.
   exit /b 1
)
IF NOT EXIST "%1" (
   ECHO The source web directory %1 does not exist.
   exit /b 1
)
IF NOT EXIST "%2" (
   ECHO The target web directory %2 does not exist.
   exit /b 1
)
REM Copy any text files 
xcopy "%1\app\*.txt" "%2\app\" %_OPTS%

REM Copy any product configuration file 
xcopy "%1\app\*.xml" "%2\app\" %_OPTS%
